// Code generated by MockGen. DO NOT EDIT.
// Source: ./http/router.go

// Package mock is a generated GoMock package.
package mock

import (
	debtrequestregister "debtrequestregister"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	healthcheck "gitlab.com/commonground/blauwe-knop/health-checker/healthchecker"
)

// MockDebtRequestRepository is a mock of DebtRequestRepository interface.
type MockDebtRequestRepository struct {
	ctrl     *gomock.Controller
	recorder *MockDebtRequestRepositoryMockRecorder
}

// MockDebtRequestRepositoryMockRecorder is the mock recorder for MockDebtRequestRepository.
type MockDebtRequestRepositoryMockRecorder struct {
	mock *MockDebtRequestRepository
}

// NewMockDebtRequestRepository creates a new mock instance.
func NewMockDebtRequestRepository(ctrl *gomock.Controller) *MockDebtRequestRepository {
	mock := &MockDebtRequestRepository{ctrl: ctrl}
	mock.recorder = &MockDebtRequestRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDebtRequestRepository) EXPECT() *MockDebtRequestRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockDebtRequestRepository) Create(debtRequest debtrequestregister.DebtRequest) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", debtRequest)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create.
func (mr *MockDebtRequestRepositoryMockRecorder) Create(debtRequest interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockDebtRequestRepository)(nil).Create), debtRequest)
}

// Delete mocks base method.
func (m *MockDebtRequestRepository) Delete(id string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", id)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete.
func (mr *MockDebtRequestRepositoryMockRecorder) Delete(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockDebtRequestRepository)(nil).Delete), id)
}

// Get mocks base method.
func (m *MockDebtRequestRepository) Get(id string) (*debtrequestregister.DebtRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", id)
	ret0, _ := ret[0].(*debtrequestregister.DebtRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockDebtRequestRepositoryMockRecorder) Get(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockDebtRequestRepository)(nil).Get), id)
}

// GetHealthCheck mocks base method.
func (m *MockDebtRequestRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockDebtRequestRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockDebtRequestRepository)(nil).GetHealthCheck))
}

// Update mocks base method.
func (m *MockDebtRequestRepository) Update(id string, debtRequest debtrequestregister.DebtRequest) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", id, debtRequest)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockDebtRequestRepositoryMockRecorder) Update(id, debtRequest interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockDebtRequestRepository)(nil).Update), id, debtRequest)
}

// MockTokenGenerator is a mock of TokenGenerator interface.
type MockTokenGenerator struct {
	ctrl     *gomock.Controller
	recorder *MockTokenGeneratorMockRecorder
}

// MockTokenGeneratorMockRecorder is the mock recorder for MockTokenGenerator.
type MockTokenGeneratorMockRecorder struct {
	mock *MockTokenGenerator
}

// NewMockTokenGenerator creates a new mock instance.
func NewMockTokenGenerator(ctrl *gomock.Controller) *MockTokenGenerator {
	mock := &MockTokenGenerator{ctrl: ctrl}
	mock.recorder = &MockTokenGeneratorMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockTokenGenerator) EXPECT() *MockTokenGeneratorMockRecorder {
	return m.recorder
}

// GenerateIdToken mocks base method.
func (m *MockTokenGenerator) GenerateIdToken() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateIdToken")
	ret0, _ := ret[0].(string)
	return ret0
}

// GenerateIdToken indicates an expected call of GenerateIdToken.
func (mr *MockTokenGeneratorMockRecorder) GenerateIdToken() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateIdToken", reflect.TypeOf((*MockTokenGenerator)(nil).GenerateIdToken))
}
